Package dev.plex.rank.enums

# Enum Class Title

java.lang.Object
java.lang.Enum<Title>
dev.plex.rank.enums.Title

All Implemented Interfaces:
  `Serializable`, `Comparable<Title>`, `Constable`

public enum Title extends Enum<Title>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEV`
`MASTER_BUILDER`
`OWNER`

## Field Summary

Fields
Modifier and Type
Field
Description
`private final net.kyori.adventure.text.format.NamedTextColor`
`color`
`private final int`
`level`
`private String`
`loginMessage`
`private String`
`prefix`
`private String`
`readable`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Title(int level, String loginMessage, String readable, String prefix, net.kyori.adventure.text.format.NamedTextColor color)`

## Method Summary

Modifier and Type
Method
Description
`net.kyori.adventure.text.Component`
`getPrefix()`
`org.json.JSONObject`
`toJSON()`
`static Title`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Title[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MASTER_BUILDER

public static final Title MASTER_BUILDER

### DEV

public static final Title DEV

### OWNER

public static final Title OWNER

## Field Details

### level

private final int level

### color

private final net.kyori.adventure.text.format.NamedTextColor color

### loginMessage

private String loginMessage

### readable

private String readable

### prefix

private String prefix

## Constructor Details

### Title

private Title(int level, String loginMessage, String readable, String prefix, net.kyori.adventure.text.format.NamedTextColor color)

## Method Details

### values

public static Title[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Title valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getPrefix

public net.kyori.adventure.text.Component getPrefix()

### toJSON

public org.json.JSONObject toJSON()